/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
#ifndef VP_SEEN
#define VP_SEEN 1
/* $Header:vp.h 12.0$ */
/* $ACIS:vp.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lib/pmp/RCS/vp.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsidvp = "$Header:vp.h 12.0$";
#endif

extern	int	vp_debug;
extern	FONT	*vp_active;
extern	int	vp_x;
extern	int	vp_y;
extern	int	vp_pgwidth;
extern	int	vp_pgheight;
extern	int	vp_orient;
extern	int	vp_pending;
extern	int	(*vp_flushfun)();

/***===================================================================***/

extern	int	vp_init();
extern	int	vp_rotate();
extern	int	vp_vec_absolute();
extern	int	vp_vec_relative();
extern	int	vp_vec_v_absolute();
extern	int	vp_vec_h_absolute();
extern	int	vp_vec_v_relative();
extern	int	vp_vec_h_relative();
extern	int	vp_vec_nofill();
extern	int	vp_vec_fill();
extern	int	vp_vec_set_width();
extern	int	vp_vec_set_ends();
extern	int	vp_vec_flush();

#define vp_y_inpage(y)	(((y)>=0)&&((y)<=vp_pgheight))
#define vp_x_inpage(x)	(((x)>=0)&&((x)<=vp_pgwidth))
#define vp_inpage(x,y)	(vp_x_inpage(x)&&vp_y_inpage(y))
#define vp_mode(m,f)	(vp_flush(m),vp_pending=(m),vp_flushfun=(f))
#define vp_flush(m)	((vp_flushfun)&&(vp_pending!=VP_NONE)&&\
			 (vp_pending!=(m))?(*vp_flushfun)():FALSE)

/***===================================================================***/

#define VP_NONE		0
#define VP_VECTORS	1
#define VP_TEXT		2

#endif /* VP_SEEN */
